Votre Nom 11 months ago
parent
commit
71aa8f6a63
2 changed files with 171 additions and 210 deletions
  1. 168 207
      build_cube.sh
  2. 3 3
      options/tools/_cmake.sh

+ 168 - 207
build_cube.sh

@@ -1,6 +1,6 @@
 #!/bin/bash
 set -e
-Version=18.3.5
+Version=18.4.0
 Cuda=YES
 kernel_custom=YES
 Miners=Yes
@@ -13,20 +13,27 @@ if (( $EUID != 0 )); then
    exit 1
 fi
 clear
+if [ ! -f /home/wareck/.ipass ]
+then
+echo "passe=0" > /home/wareck/.ipass
+fi
+source /home/wareck/.ipass
+
+
 export TERM=xterm-256color
 Cuda=${Cuda^^}
 kernel_custom=${kernel_custom^^}
 driver=${driver^^}
 Miners=${Miners^^}
-
+cpass=""
 function ubuntu_version_check {
 if [[ $(lsb_release -rs) == "20.04" ]]
 then
 
-      Ubuntu_version="20.04.5"
+      Ubuntu_version="20.04.6"
 
 else
-       echo "Non-compatible version"
+       echo "Non-compatible version !"
        exit 0
 fi
 }
@@ -79,93 +86,63 @@ print_centered "Cube Server installation script v$Version"
 print_centered "Ubuntu version 20.04.6"
 if [ $Cuda = "YES" ]
 then
-print_centered "CUDA"
+print_centered "CUDA Compute Drivers"
 fi
-sleep 3
+print_centered "Stage $passe"
 }
 
 function update_ {
-if [ -f /home/wareck/.pass2 ] && [ ! -f /home/wareck/.pass3 ] && [ ! -f /home/wareck/.pass4 ]
-then
-echo -e "$(tput setaf 10)\nUpdate and install packages:$(tput sgr0)"
-sudo apt-get update
-echo -e ""
-sudo apt-get install lxde lxde-icon-theme -y
-echo -e ""
-sudo apt-get install samba cifs-utils mdadm git build-essential libtool pkg-config automake autoconf ethtool net-tools openvpn filezilla \
-tasksel lzma-dev lzma cmake libuv1-dev libssl-dev msr-tools tightvncserver lm-sensors openssh-server xfsprogs -y
-echo -e ""
-sudo apt-get install zstd pixz pbzip2 pigz btrfs-progs gparted gpart gnome-remote-desktop libcanberra-gtk-module \
-ctorrent libcurl4-openssl-dev bison byacc screen libudev-dev libjansson-dev libncurses5-dev libmicrohttpd-dev curl nvme-cli -y
-echo -e ""
-sudo apt-get install libglib2.0-dev libgtk2.0-dev libsensors4-dev htop vlc locate cmake -y
-echo -e ""
-if [ $Cuda = "YES" ]
-then
-echo -e "$(tput setaf 10)\nInstall Cuda packages:$(tput sgr0)"
-sudo apt-get install libgmp-dev libnuma-dev cmake libuv1-dev nvidia-cuda-dev libmicrohttpd-dev gcc-8 g++-8 nvidia-cuda-toolkit -y
-fi
-echo -e "Done."
-fi
+case $passe in
+0)
+   echo -e "$(tput setaf 10)\nUpdate and install packages (second pass):$(tput sgr0)"
+   sudo apt-get update
+   echo -e ""
+   sudo apt-get install lxde lxde-icon-theme -y
+   echo -e ""
+   sudo apt-get install samba cifs-utils mdadm git build-essential libtool pkg-config automake autoconf ethtool net-tools openvpn filezilla \
+   tasksel lzma-dev lzma cmake libuv1-dev libssl-dev msr-tools tightvncserver lm-sensors openssh-server xfsprogs -y
+   echo -e ""
+   sudo apt-get install zstd pixz pbzip2 pigz btrfs-progs gparted gpart gnome-remote-desktop libcanberra-gtk-module \
+   ctorrent libcurl4-openssl-dev bison byacc screen libudev-dev libjansson-dev libncurses5-dev libmicrohttpd-dev curl nvme-cli -y
+   echo -e ""
+   sudo apt-get install libglib2.0-dev libgtk2.0-dev libsensors4-dev htop vlc locate cmake -y
+   echo -e "Done."
+   ;;
+1)
+   if [ $Cuda = "YES" ]
+   then
+   echo -e "$(tput setaf 10)\nInstall Cuda packages:$(tput sgr0)"
+   sudo apt-get install libgmp-dev libnuma-dev cmake libuv1-dev nvidia-cuda-dev libmicrohttpd-dev gcc-8 g++-8 nvidia-cuda-toolkit -y
+   fi
+   echo -e "Done.\n"
+   ;;
+esac
 }
 
 function kernel_check_ {
 unamestr=$(uname -r)
-case $kernel_custom in
-NO)
-        if [[ "$unamestr" == '5.15.0-69-generic' ]]
-        then
-        echo -e "\n$(tput setaf 10)DKMS Kernel install :$(tput sgr0)"
-        sudo rm /boot/config-5.15*
-        sudo rm /boot/initrd.img-5.15*
-        sudo rm /boot/System.map-5.15*
-        sudo rm /boot/vmlinuz-5.15*
-        sudo apt-get install linux-image-5.4.0-54-generic linux-headers-5.4.0-54-generic linux-modules-extra-5.4.0-54-generic htop -y
-        sudo update-grub2
-        sudo apt-mark hold linux-image-5.4.0-54-generic linux-headers-5.4.0-54-generic linux-modules-extra-5.4.0-54-generic
-        autoroot_
-        decompte_
-        fi
-        if [[ "$unamestr" == '5.4.0-139-generic' ]]
-        then
-        sudo rm /boot/config-5.4.0-139-generic | true
-        sudo rm /boot/System.map-5.4.0-139-generic | true
-        sudo rm /boot/initrd.img-5.4.0-139-generic | true
-        sudo rm /boot/vmlinuz-5.4.0-139-generic | true
-        sudo update-grub2
-        sudo apt-mark hold linux-image-$kernel_dkms linux-headers-$kernel_dkms linux-modules-extra-$kernel_dkms
-        autoroot_
-        decompte_
-        fi
-        ;;
-YES)
-	if [ -f /tmp/ksource.txt ]; then rm /tmp/ksource.txt;fi
-        wget -c -q http://192.168.1.8:3000/wareck/custom_kernel/raw/master/ksource.txt -O /tmp/ksource.txt
-        source /tmp/ksource.txt
-        if ! [[ "$unamestr" == $KLversion ]]
-        then
-        echo -e "\n$(tput setaf 10)Custom kernel install $(tput setaf 9)$KLversion$(tput setaf 10) (fix DKMS/WOL) :$(tput sgr0)"
-        cd /tmp/
-	wget -c -q --show-progress http://folivier.homelinux.org/cube/pack/custom_kernel/$kernel_version
-	chmod +x $kernel_version
-	sudo ./$kernel_version
-        if ! [ -f /etc/modprobe.d/blacklist-nvidia-nouveau.conf ]
-        then
-        echo "Blacklist nvidia-nouveau driver..."
-        echo "System will reboot"
-        sudo bash -c "echo blacklist nouveau > /etc/modprobe.d/blacklist-nvidia-nouveau.conf"
-        sudo bash -c "echo options nouveau modeset=0 >> /etc/modprobe.d/blacklist-nvidia-nouveau.conf"
-        fi
-        nvidia_driver_
-        autoroot_
-        decompte_
-        fi
-        ;;
-esac
+if [ -f /tmp/ksource.txt ]; then rm /tmp/ksource.txt;fi
+wget -c -q http://192.168.1.8:3000/wareck/custom_kernel/raw/master/ksource.txt -O /tmp/ksource.txt
+source /tmp/ksource.txt
+if ! [[ "$unamestr" == $KLversion ]]
+then
+echo -e "\n$(tput setaf 10)Custom kernel install $(tput setaf 9)$KLversion$(tput setaf 10) (fix DKMS/WOL) :$(tput sgr0)"
+cd /tmp/
+wget -c -q --show-progress http://folivier.homelinux.org/cube/pack/custom_kernel/$kernel_version
+chmod +x $kernel_version
+sudo ./$kernel_version
+if ! [ -f /etc/modprobe.d/blacklist-nvidia-nouveau.conf ]
+then
+echo "Blacklist nvidia-nouveau driver..."
+echo "System will reboot"
+sudo bash -c "echo blacklist nouveau > /etc/modprobe.d/blacklist-nvidia-nouveau.conf"
+sudo bash -c "echo options nouveau modeset=0 >> /etc/modprobe.d/blacklist-nvidia-nouveau.conf"
+fi
+fi
 }
 
 function nvidia_driver_ {
-if ! [ -f /home/wareck/.pass1 ]
+if [ $passe = "0" ]
 then
 	if ! [ -f /etc/modprobe.d/blacklist-nvidia-nouveau.conf ]
 	then
@@ -173,26 +150,18 @@ then
         echo "System will reboot"
         sudo bash -c "echo blacklist nouveau > /etc/modprobe.d/blacklist-nvidia-nouveau.conf"
         sudo bash -c "echo options nouveau modeset=0 >> /etc/modprobe.d/blacklist-nvidia-nouveau.conf"
-        fi
-case $Cuda in
-NO)
-			sudo apt-get install build-essential libglvnd-dev cmake -y
-			;;
-YES)
-			sudo apt-get install build-essential libglvnd-dev cmake libhugetlbfs-dev libc-dev libc6-dev g++ -y
-	                ;;
-*)
-   		        ;;
-esac
-
-#sudo update-initramfs -u
-touch /home/wareck/.pass1
-decompte_
+	fi
+	if [ $Cuda = "NO" ]
+	then
+	sudo apt-get install build-essential libglvnd-dev cmake -y
+	else
+	sudo apt-get install build-essential libglvnd-dev cmake libhugetlbfs-dev libc-dev libc6-dev g++ -y
+	fi
+	echo "passe=1" > /home/wareck/.ipass
+	decompte_
 fi
-
-if ! [ -f /home/wareck/.pass2 ]
+if [ $passe = "1" ]
 then
-sleep 1
 case $Cuda in
 NO)
 	echo -e "$(tput setaf 10)\nInstall NVIDIA GTX1080 Drivers :$(tput sgr0)"
@@ -220,16 +189,14 @@ YES)
 	chmod +x cuda_12.3.1_545.23.08_linux.run
 	sudo ./cuda_12.3.1_545.23.08_linux.run --silent --driver --toolkit
 	sudo rm cuda_12.3.1_545.23.08_linux.run
-	touch /home/wareck/.pass2
+	echo "passe=2" > /home/wareck/.ipass
 	decompte_
-	;;
+;;
 esac
 fi
 }
 
 function download_packs_ {
-if [ ! -f /home/wareck/.pass3 ]
-then
 echo -e "$(tput setaf 10)\nDownload complement packs:$(tput sgr0)"
 wget -c -q --show-progress http://folivier.homelinux.org/cube/pack/cgminer.conf -O /home/wareck/Build_Cube/pack/cgminer.conf
 wget -c -q --show-progress http://folivier.homelinux.org/cube/pack/chia-miner.tar.xz -O /home/wareck/Build_Cube/pack/chia-miner.tar.xz
@@ -246,7 +213,8 @@ cp /home/wareck/Build_Cube/pack/pack2.tar.xz /home/wareck
 cp /home/wareck/Build_Cube/pack/pack3.tar.xz /home/wareck
 cp /home/wareck/Build_Cube/pack/xmrig.tar.xz /home/wareck
 cp /home/wareck/Build_Cube/pack/start_cgminer.tar.xz /home/wareck
-echo "Done."
+echo -e "Done."
+
 if  [ ! -d /home/wareck/$Webmin ]
 then
 cp /home/wareck/Build_Cube/pack/$Webmin.tar.xz /home/wareck/
@@ -260,40 +228,40 @@ fi
 echo -e "$(tput setaf 10)\nDownloading miners:$(tput sgr0)"
 cd /home/wareck
 if ! [ -d miners ]; then mkdir -p miners;fi
-
 cd /home/wareck/miners
+
 if ! [ -d xmrig ]
 then
 git clone https://github.com/xmrig/xmrig.git
 echo -e ""
 fi
-if ! [ -d xmr-stak ]
-then
-git clone https://github.com/fireice-uk/xmr-stak.git
-echo -e ""
-fi
-if ! [ -d xmr-stak-rx ]
-then
-git clone https://github.com/fireice-uk/xmr-stak.git -b xmr-stak-rx xmr-stak-rx
-echo -e ""
-fi
+
+#if ! [ -d xmr-stak ]
+#then
+#git clone https://github.com/fireice-uk/xmr-stak.git
+#echo -e ""
+#fi
+
+#if ! [ -d xmr-stak-rx ]
+#then
+#git clone https://github.com/fireice-uk/xmr-stak.git -b xmr-stak-rx xmr-stak-rx
+#echo -e ""
+#fi
+
 if ! [ -d cgminer-gekko ]
 then
 git clone https://github.com/wareck/cgminer-gekko.git
 echo -e ""
 fi
+
 if ! [ -d cgminer-lketc ]
 then
 git clone https://github.com/wareck/cgminer-lketc.git
 fi
-
-fi
-echo "Done."
+echo -e "Done.\n"
 }
 
 function build_miners_ {
-if [ ! -f /home/wareck/.pass3 ]
-then
 cmake_ #check cmake version
 cd /home/wareck
 tar xfJ gpu-miners.tar.xz
@@ -393,23 +361,18 @@ tar xfJ /home/wareck/xmrig.tar.xz --checkpoint=.100
 echo "Done."
 echo -n -e "\n"
 echo -e "$(tput setaf 10)\nBuild xmrig:$(tput sgr0)"
+
 cd xmrig
 git config --global --add safe.directory /home/wareck/miners/xmrig
 git pull
 sed -i "s/kDefaultDonateLevel = 5;/kDefaultDonateLevel = 0;/g" src/donate.h
 sed -i "s/kMinimumDonateLevel = 1;/kMinimumDonateLevel = 0;/g" src/donate.h
-wget -c https://download.open-mpi.org/release/hwloc/v2.7/hwloc-2.7.1.tar.bz2
-tar xfj hwloc-2.7.1.tar.bz2 --checkpoint=.100
-cd hwloc-2.7.1
-./configure
-make -j$((`nproc`+1))
-sudo make install
+cd scripts
+./build_deps.sh
 cd ..
-sudo ldconfig
 cd build
-cmake ..
-make -j$((`nproc`+1))
-cd ..
+cmake .. -DXMRIG_DEPS=scripts/deps
+make -j$((`nproc`))
 cd ..
 echo "Done."
 
@@ -427,48 +390,47 @@ echo "Done."
 #echo "Done."
 rm -r -f xmrig-upx
 
-echo -e "$(tput setaf 10)\nBuild xmr-stak-rx:$(tput sgr0)"
-cd xmr-stak-rx
-git config --global --add safe.directory /home/wareck/miners/xmr-stak-rx
-git pull
-cd build
-cmake ..
-make -j$((`nproc`+1))
-cd ..
-cd ..
-echo "Done."
-echo -e "$(tput setaf 10)\nBuild xmr-stak:$(tput sgr0)"
-cd xmr-stak
-if ! [ -d build ];then mkdir build ;fi
-git config --global --add safe.directory /home/wareck/miners/xmr-stak
-git pull
-cd build
-cmake .. -DOpenCL_ENABLE=OFF -DCUDA_ENABLE=OFF
-make -j$((`nproc`+1))
-cd ..
-cd ..
-echo "Done."
+#echo -e "$(tput setaf 10)\nBuild xmr-stak-rx:$(tput sgr0)"
+#cd xmr-stak-rx
+#git config --global --add safe.directory /home/wareck/miners/xmr-stak-rx
+#git pull
+#cd build
+#cmake ..
+#make -j$((`nproc`+1))
+#cd ..
+#cd ..
+#echo "Done."
+#echo -e "$(tput setaf 10)\nBuild xmr-stak:$(tput sgr0)"
+#cd xmr-stak
+#if ! [ -d build ];then mkdir build ;fi
+#git config --global --add safe.directory /home/wareck/miners/xmr-stak
+#git pull
+#cd build
+#cmake .. -DOpenCL_ENABLE=OFF -DCUDA_ENABLE=OFF
+#make -j$((`nproc`+1))
+#cd ..
+#cd ..
+#echo "Done."
 
-if [ $Cuda = "YES" ]
-then
-echo -e "$(tput setaf 10)\nBuild xmrig-cuda:$(tput sgr0)"
-git clone https://github.com/xmrig/xmrig-nvidia.git
-cd xmrig-nvidia
-mkdir build
-cd build
-cmake .. -DCMAKE_C_COMPILER=$(which gcc-8) -DCMAKE_CXX_COMPILER=$(which g++-8)
-make -j$((`nproc`+1))
-fi
+#if [ $Cuda = "YES" ]
+#then
+#echo -e "$(tput setaf 10)\nBuild xmrig-cuda:$(tput sgr0)"
+#git clone https://github.com/xmrig/xmrig-nvidia.git
+#cd xmrig-nvidia
+#mkdir build
+#cd build
+#cmake .. -DCMAKE_C_COMPILER=$(which gcc-8) -DCMAKE_CXX_COMPILER=$(which g++-8)
+#make -j$((`nproc`+1))
+#fi
 
-echo "Done"
-touch /home/wareck/.pass3
-fi
+#Reduce mode
+if [ -d /home/wareck/miners/xmrig-upx ];then rm -r /home/wareck/miners/xmrig-upx;fi
+if [ -d /home/wareck/miners/xmr-stak ];then rm -r /home/wareck/miners/xmr-stak;fi
+if [ -d /home/wareck/miners/xmr-stak-rx ];then rm -r /home/wareck/miners/xmr-stak-rx;fi
 sudo chmod -R 775 /home/wareck/miners
 }
 
 function configure_ {
-if [ ! -f /home/wareck/.pass4 ]
-then
 echo -e "$(tput setaf 10)\nlxPanel sensors:$(tput sgr0)"
 cd /home/wareck
 if ! [ -d sensors-lxpanel-plugin ]
@@ -522,9 +484,6 @@ sudo tar xfJ pack3.tar.xz --checkpoint=.10
 echo -n -e "\n"
 cd /home/wareck
 
-#clear
-dynmotd
-
 sudo sed -i -e "s/# set constantshow/set constantshow/g" /etc/nanorc
 
 if ! grep "wareck" /etc/sudoers >/dev/null
@@ -707,7 +666,6 @@ sudo ufw allow 5902 >/dev/null
 sudo ufw allow 445 >/dev/null
 sudo ufw allow 1337 >/dev/null
 sudo ufw allow 1447 >/dev/null
-
 echo "Done."
 
 echo -e "$(tput setaf 10)\nBashrc mod:$(tput sgr0)"
@@ -752,15 +710,13 @@ mkdir /home/wareck/.config/lxterminal
 fi
 sudo cp /home/wareck/Build_Cube/pack/lxterminal.conf /home/wareck/.config/lxterminal/
 sudo chmod 777 /home/wareck/.config/lxterminal/lxterminal.conf
-
 echo "Done."
-touch /home/wareck/.pass4
+echo "passe=3" >/home/wareck/.ipass
 decompte_
-fi
 }
 
 function printer_ {
-if [ ! -f /home/wareck/.pass3 ]
+if [ ! -f /home/wareck/.pass4 ]
 then
 if [ ! -d /usr/local/share/foomatic/ ]
 then
@@ -783,8 +739,6 @@ fi
 }
 
 function mounting_drives_ {
-if [ ! -f /home/wareck/.pass4 ]
-then
 echo -e "$(tput setaf 10)\nMounting Drives$(tput sgr0)"
 if ! findmnt /media/Partage >/dev/null ; then sudo mount /media/Partage ;fi
 if ! findmnt /media/Store >/dev/null ; then sudo mount /media/Store ;fi
@@ -792,16 +746,12 @@ if ! findmnt /media/Cloud >/dev/null ; then sudo mount /media/Cloud ;fi
 sudo chmod 777 /media/Store
 sudo chmod 777 /media/Cloud
 sudo chmod 777 /media/Partage
-sudo chmod 777 /media/nvme0
-sudo chmod 777 /media/nvme1
+sudo chmod 777 /raid
 sudo chmod 777 /media/Nas
 echo "Done."
-fi
 }
 
 function cleaning_ {
-if [ -f /home/wareck/.pass4 ]
-then
 echo -e "$(tput setaf 10)\nCleaning install files:$(tput sgr0)"
 if [ -f /pack2.tar.xz ]; then sudo rm /pack2.tar.xz ;fi
 if [ -f /pack3.tar.xz ]; then sudo rm /pack3.tar.xz ;fi
@@ -816,10 +766,7 @@ if [ -r /home/wareck/Templates ]; then sudo rm -r -f /home/wareck/Templates ;fi
 if [ -r /home/wareck/Vidéos ]; then sudo rm -r -f /home/wareck/Vidéos ;fi
 if [ -f /home/wareck/NVIDIA-Linux-x86_64-470.74.run ]; then rm /home/wareck/NVIDIA-Linux-x86_64-470.74.run ;fi
 if [ -f /home/wareck/NVIDIA-Linux-x86_64-470.82.00.run ]; then rm /home/wareck/NVIDIA-Linux-x86_64-470.82.00.run ;fi
-if [ -f /home/wareck/.pass1 ]; then rm /home/wareck/.pass1 ;fi
-if [ -f /home/wareck/.pass2 ]; then rm /home/wareck/.pass2 ;fi
-if [ -f /home/wareck/.pass3 ]; then rm /home/wareck/.pass3 ;fi
-if [ -f /home/wareck/.pass4 ]; then rm /home/wareck/.pass4 ;fi
+if [ -f /home/wareck/.ipass ]; then rm /home/wareck/.ipass ;fi
 if [ -f /usr/local/bin/zap ]; then sudo rm /usr/local/bin/zap* ;fi
 if [ -f /home/wareck/.config/autostart/install_os.desktop ];then sudo rm /home/wareck/.config/autostart/install_os.desktop;fi
 if [ -f /home/wareck/.config/autostart/zappy.desktop ];then sudo rm /home/wareck/.config/autostart/zappy.desktop;fi
@@ -833,7 +780,6 @@ sudo chmod -R 775 /home/wareck/miners
 echo -e "Done. \n"
 
 echo `date` "install/update" >/home/wareck/.buildcube
-fi
 sudo apt-get autoremove -y
 sleep 1
 }
@@ -915,10 +861,13 @@ if ! grep "wareck" /etc/sudoers >/dev/null
 then
 sudo sh -c "echo \"wareck ALL=(ALL) NOPASSWD: ALL\" >> /etc/sudoers"
 fi
-echo -e "$(tput setaf 10)\nUpdate and install packages:$(tput sgr0)"
+if [ ! -f /home/wareck/.pass1 ]
+then
+echo -e "$(tput setaf 10)\nUpdate and install packages (first pass):$(tput sgr0)"
 sudo apt-get update
 sudo apt-get install lxde lxde-icon-theme -y
 sleep 1
+fi
 }
 
 function remove_screensaver {
@@ -960,30 +909,42 @@ echo "" >>/tmp/wol.service
 echo "[Install]" >>/tmp/wol.service
 echo "WantedBy=basic.target" >>/tmp/wol.service
 sudo cp /tmp/wol.service /etc/systemd/system/wol.service
-sudo systemctl daemon-reload
-sudo systemctl enable wol.service
-sudo systemctl start wol.service
+sudo systemctl daemon-reload >/dev/null
+sudo systemctl enable wol.service >/dev/null
+sudo systemctl start wol.service >/dev/null
+sleep 1
 }
 
 intro_
-watchdog_
-autoroot_
-ubuntu_version_check
-update_
-kernel_check_
-autoroot_
-nvidia_driver_
-update_
-download_packs_
-printer_
-build_miners_
-configure_
-mounting_drives_
-cleaning_
-remove_screensaver
-clear
-wol_
-dynmotd
+case $passe in
+0)
+  watchdog_
+  autoroot_
+  ubuntu_version_check
+  update_
+  kernel_check_
+  nvidia_driver_
+  ;;
+1)
+  nvidia_driver_
+  update_
+  ;;
+2)
+  download_packs_
+  printer_
+  build_miners_
+  configure_
+  ;;
+3)
+  mounting_drives_
+  cleaning_
+  remove_screensaver
+  clear
+  wol_
+  dynmotd
+  ;;
+*) ;;
+esac
 
 echo -e "$(tput setaf 10)\nEnd of script:$(tput sgr0) \n"
 echo -e "$(tput setaf 7)Need to install webmin manually (reboot required)$(tput sgr0)"

+ 3 - 3
options/tools/_cmake.sh

@@ -38,7 +38,7 @@ case $flag in
         ;;
 *)      echo "Error";;
 esac
-echo -e "\e[97mDone.\e[0m"
+echo -e "Done."
 }
 
 function rollback {
@@ -62,13 +62,13 @@ case $flag in
         sudo dpkg -i cmake_3.16.3-1_amd64.deb
         rm cmake_3.16.3-1_amd64.deb
         else
-        echo -e "cmake version ok."
+        echo -e "cmake version OK."
         sleep 2
         fi
         ;;
 *)      echo "Error";;
 esac
-echo -e "\e[97mDone.\e[0m"
+echo -e "Done."
 }